import React from 'react';

interface SkillTreeModalProps {
  onClose: () => void;
}

export default function SkillTreeModal({ onClose }: SkillTreeModalProps) {
  return (
    <div
      className="fixed inset-0 bg-black/80 backdrop-blur-sm flex items-center justify-center p-4 z-50"
    >
      <div className="bg-gray-800 p-6 rounded-xl max-w-2xl w-full">
        <h2 className="text-2xl font-bold mb-4">Skill Tree</h2>
        <p className="text-gray-400 mb-6">Skill tree modal under development.</p>
        <div className="mt-6 flex justify-end">
          <button
            onClick={onClose}
            className="bg-red-600 hover:bg-red-700 text-white px-4 py-2 rounded"
          >
            Close
          </button>
        </div>
      </div>
    </div>
  );
}
